"""
Visualisation 2D d'une répartition de trois familles
Visualisation d'un inconnu à placer dans une famille
"""
import pandas
import matplotlib.pyplot as plt

individus=pandas.read_csv("Mon_Jeu.csv")
prenoms=individus.loc[:,"Prenom"]
forces=individus.loc[:,"force"]
vitesses=individus.loc[:,"vitesse"]
ruses=individus.loc[:,"ruse"]
familles=individus.loc[:,"famille"]

# représenter trois familles : expert(force,ruse), eclaireur(vitesse,ruse) et renfort(vitesse, force)
# selon deux critères : force->x, ruse->y
x_exp=[]
y_exp=[]
x_ecl=[]
y_ecl=[]
x_ren=[]
y_ren=[]
for n in range(len(prenoms)):
    if familles[n] == 'expert' :
        x_exp.append(forces[n])
        y_exp.append(ruses[n])
    if familles[n] == 'eclaireur' :
        x_ecl.append(forces[n])
        y_ecl.append(ruses[n])
    if familles[n] == 'renfort' :
        x_ren.append(forces[n])
        y_ren.append(ruses[n])
        
plt.scatter(x_exp, y_exp, color='b', label='Experts')
plt.scatter(x_ecl, y_ecl, color='g', label='Eclaireurs')
plt.scatter(x_ren, y_ren, color='k', label='Renforts')
# inconnu
force = [170]
vitesse = [220]
ruse=[185]
plt.scatter(force, ruse, color='r', label='Inconnu') 
plt.xlabel('Force')
plt.ylabel('Ruse')
plt.legend()
plt.show()
