"""
Visualisation 3D des trois familles
Visualisation d'un inconnu à placer dans une famille
"""

import pandas
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import axes3d

fig = plt.figure()
graphique = plt.axes(projection="3d")


individus=pandas.read_csv("Mon_Jeu.csv")
prenoms=individus.loc[:,"Prenom"]
forces=individus.loc[:,"force"]
vitesses=individus.loc[:,"vitesse"]
ruses=individus.loc[:,"ruse"]
familles=individus.loc[:,"famille"]

# représenter trois familles : expert(force,ruse), eclaireur(vitesse,ruse) et renfort(vitesse, force)
# selon deux critères : force->x, ruse->y
x_exp=[]
y_exp=[]
z_exp=[]
x_ecl=[]
y_ecl=[]
z_ecl=[]
x_ren=[]
y_ren=[]
z_ren=[]
for n in range(len(prenoms)):
    if familles[n] == 'expert' :
        x_exp.append(forces[n])
        y_exp.append(vitesses[n])
        z_exp.append(ruses[n])
    if familles[n] == 'eclaireur' :
        x_ecl.append(forces[n])
        y_ecl.append(vitesses[n])
        z_ecl.append(ruses[n])
    if familles[n] == 'renfort' :
        x_ren.append(forces[n])
        y_ren.append(vitesses[n])
        z_ren.append(ruses[n])
        
graphique.scatter(x_exp, y_exp, z_exp, color='b', label='Experts')
graphique.scatter(x_ecl, y_ecl, z_ecl, color='g', label='Renfors')
graphique.scatter(x_ren, y_ren, z_ren, color='k', label='Eclaireurs')
# inconnu
force = [170]
vitesse = [220]
ruse=[185]
graphique.scatter(force,vitesse,ruse, s=64, color='r', label='Inconnu')

graphique.set_xlabel('Force')
graphique.set_ylabel('Vitesse')
graphique.set_zlabel('Ruse')
plt.legend()
plt.show()
